import { jsx as c } from "@emotion/react/jsx-runtime";
import { createContext as u, useState as l } from "react";
const s = u(null);
function m(t) {
  const { children: e, initialValue: r } = t, [n, o] = l(r), a = (b, i) => {
    o(i);
  };
  return /* @__PURE__ */ c(
    s.Provider,
    {
      value: {
        currentTab: n.toString(),
        handleChange: a
      },
      children: e
    }
  );
}
export {
  s as TabContext,
  m as TabProvider
};
